Name:           perl-HTML-Tabulate
Version:        0.45
Release:        1%{?dist}
Summary:        HTML table rendering class
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/HTML-Tabulate/
Source0:        http://www.cpan.org/authors/id/G/GA/GAVINC/HTML-Tabulate-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.005
BuildRequires:  perl(Carp)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::ParseXS)
BuildRequires: perl(ExtUtils::Manifest)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(URI::Escape)
BuildRequires:  perl(HTML::Entities)
Requires:       perl(Carp)
Requires:       perl(Scalar::Util)
Requires:       perl(URI::Escape)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
HTML::Tabulate is used to render/display a given set of data in an HTML
table. It takes a data set and a presentation definition and applies the
presentation to the data set to produce the HTML table output. The
presentation definition accepts arguments corresponding to HTML table tags
('table', 'tr', 'th', 'td' etc.), to define attributes for those tags, plus
additional arguments for other aspects of the presentation. HTML::Tabulate
supports advanced features like automatic striping, arbitrary cell
formatting, link creation, etc.

%prep
%setup -q -n HTML-Tabulate-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jul 14 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Thu Mar 17 2016 Daniel Berteaud <daniel@firewall-services.com> 0.45-1
- First build using cpanspec [SME: 9326]
